@import "variable";
@import "mixin";

* {
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Roboto', sans-serif;
    font-style: normal;
}

.content {
    width: 373px;
    height: 1422px;
    background: $background;
}

.width-content {
    width: 320px;
    height: 100%;
    background: $background;
    margin: auto;
}

.button {
    display: flex;
    justify-content: end;
    padding-top: 23px;
}

.burger-menu {
    @include flex-center;
    gap: 3px;
    width: 44px;
    height: 37px;
    background-color: rgb(0, 0, 0);
    margin-bottom: 23px;
    cursor: pointer;
}

.burger-line {
    width: 50%;
    height: 3px;
    background-color: rgb(255, 255, 255);
}

.button-content {
    width: 182px;
    height: 208px;
    background-color: rgb(245, 245, 245);
    display: none;
}

.button-content.active {
    @include flex-column;
    position: absolute;
    top: 61px;
    left: 164px;
}

.list-content-home,
.list-content-us,
.list-content-journal,
.list-content-project,
.list-content-news,
.list-content-features,
.list-content-contact {
    @include list-content;
    width: 64px;
    height: 22px;
}

.list-content-us {
    width: 89px;
    height: 22px;
}

.list-content-journal {
    width: 114px;
    height: 22px;
}

.list-content-project {
    width: 90px;
    height: 22px;
}

.list-content-news {
    width: 64px;
    height: 22px;
}

.list-content-features {
    width: 89px;
    height: 22px;
}

.list-content-contact {
    width: 86px;
    height: 22px;
}

.link-content {
    color: $color-header;
    @include link-content;
}

.header {
    width: 320px;
    height: 150px;
    margin-bottom: 42px;
}

.header-img-road {
    display: $block;
    width: 320px;
    height: 150px;
}

.recent-posts {
    width: 232px;
    height: 693px;
    background-color: $background;
    margin-bottom: 76px;
}

.title-recent-posts {
    @include parametrs;
    width: 170px;
    height: 20px;
    color: $color-header;
    margin-bottom: 23px;
}

.post-one,
.post-two,
.post-three {
    width: 232px;
    height: 196px;
    margin-bottom: 32px;
}

.post-tea,
.post-rain,
.post-caffe {
    margin-bottom: 11px;
}

.title-post {
    width: 233px;
    height: 25px;
    font-weight: 700;
    font-size: 14px;
    line-height: 30px;
    color: $color-header;
}

.description {
    width: 216px;
    height: 18px;
    font-weight: 400;
    font-size: 11px;
    line-height: 20px;
    color: $color-text;
}

.text-posts,
.post-four,
.title-inst,
.img-hall,
.img-wires,
.img-old-car,
.desc-text-footer {
    display: $none;
}

.instragram {
    margin-bottom: 42px;
}

.title-instragram {
    @include parametrs;
    width: 196px;
    height: 22px;
    color: $color-header;
    margin-bottom: 13px;
}

.img-instragram {
    display: $block;
    width: 301px;
    height: 301px;
}

.footer {
    @include flex-footer;
    width: 373px;
    height: 315px;
    background-color: rgb(0, 0, 0);
}

.footer-title {
    @include parametrs;
    width: 200px;
    height: 20px;
    color: $color-footer-title;
}

.footer-text {
    width: 303px;
    height: 55px;
    font-size: 12px;
    font-weight: 400;
    line-height: 20px;
    text-align: center;
    color: $color-footer;
}

.social-icons {
    @include flex;
    width: 192px;
    height: 34px;
}

.address {
    width: 212px;
    height: 67px;
    font-size: 14px;
    font-weight: 400;
    line-height: 24px;
    text-align: center;
    color: $color-footer;
}

@media screen and (min-width: 768px) {
    .content {
        width: 940px;
        height: 1688px;
        background: $background;
    }
    
    .width-content {
        width: 768px;
        height: 100%;
        background: $background;
        margin: auto;
    }

    .button {
        display: flex;
        justify-content: center;
        padding-top: 23px;
    }
    
    .burger-menu,
    .img-old-car,
    .footer-text {
        display: $none;
    }
        
    .button-content {
        @include flex-but-content;
        width: 609px;
        height: 55px;
        background: $background;
        margin-bottom: 28px;
    }
    
    .list-content-home,
    .list-content-us,
    .list-content-journal,
    .list-content-project,
    .list-content-news,
    .list-content-features,
    .list-content-contact {
        @include list-content;
        width: 36px;
        height: 22px;
    }
    
    .list-content-us,
    .list-content-project,
    .list-content-features,
    .list-content-contact {
        width: 62px;
        height: 22px;
    }
    
    .list-content-journal {
        width: 85px;
        height: 22px;
    }
    
    .list-content-news {
        width: 37px;
        height: 22px;
    }
    
    .link-content {
        color: $color-header;
        @include link-content;
    }    
    
    .header {
        width: 768px;
        height: 361px;
        margin-bottom: 56px;
    }

    .header-img-road {
        display: $block;
        width: 768px;
        height: 361px;
    }
    
    .recent-posts {
        width: 555px;
        height: 699px;
        background: $background;
        margin-bottom: 60px;
    }
    
    .title-recent-posts {
        width: 190px;
        height: 22px;
        font-weight: 700;
        font-size: 16px;
        line-height: 22px;
        text-transform: uppercase;
        color: $color-header;
        margin-bottom: 23px;
    }
    
    .post-one,
    .post-two,
    .post-three {
        display: flex;
        width: 555px;
        height: 140px;
        margin-bottom: 32px;
    }

    .post-four {
        display: flex;
        width: 555px;
        height: 140px;
    }

    .text-posts {
        display: $block;
        width: 404px;
        height: 40px;
        color: $color-txt;
        font-size: 14px;
        line-height: 26px;
    }
    
    .post-tea,
    .post-rain,
    .post-caffe,
    .post-roses  {
        margin-bottom: 0;
        margin-right: 20px;
    }

    .title-post {
        width: 295px;
        height: 30px;
        color: $color-header;
        font-size: 16px;
        font-weight: 700;
        line-height: 30px;
    }
    
    .description {
        width: 233px;
        height: 20px;
        color: $color-text;
        font-size: 12px;
        line-height: 20px;
        margin-bottom: 13px;
    }
    
    .instragram {
        width: 100%;
        height: 403px;
        background: $background;
        margin-bottom: 0;
    }

    .wrapper-instragram {
        @include flex-but-content;
        padding-top: 47px;
        padding-bottom: 35px;
    }
    
    .title-instragram {
        color: $color-header;
        font-size: 16px;
        font-weight: 700;
        line-height: 22px;
        text-transform: uppercase;
        margin-bottom: 0;
    }

    .title-inst {
        display: $block;
        color: $color-header;
        font-size: 13px;
        font-weight: 700;
        line-height: 22px;
        text-transform: uppercase;
    }
    
    .img-instragram {
        display: flex;
        gap: 9px;
        width: 768px;
        height: 249px;
    }

    .img-hall,
    .img-wires {
        display: $block;
    }

    .footer {
        @include flex-footer;
        width: 940px;
        height: 332px;
        background-color: rgb(0, 0, 0);
    }
    
    .footer-title {
        width: 224px;
        height: 22px;
        color: $color-footer-title;
        font-size: 16px;
        font-weight: 700;
        line-height: 22px;
        text-transform: uppercase;
    }

    .desc-text-footer {
        display: $block;
        width: 684px;
        height: 44px;
        color: $color-footer;
        text-align: center;
        font-size: 16px;
        line-height: 28px;
    }
    
    .social-icons {
        @include flex;
        width: 192px;
        height: 34px;
    }
    
    .address {
        width: 613px;
        height: 26px;
        color: $color-footer;
        text-align: center;
        font-size: 16px;
        line-height: 26px;
    }
}

// address 
// desc-text-footer

@media screen and (min-width: 1200px) {
    .content {
        width: 1600px;
        height: 1588px;
        background-color: $background;
    }
    
    .width-content {
        width: 1170px;
        height: 100%;
        background-color: $background;
        margin: auto;
    }

    .button {
        display: flex;
        justify-content: center;
        padding-top: 29px;
    }
    
    .burger-menu {
        display: $none;
    }
        
    .button-content {
        @include flex-but-content;
        width: 813px;
        height: 55px;
        background-color: $background;
        margin-bottom: 34px;
    }
    
    .list-content-home,
    .list-content-us,
    .list-content-journal,
    .list-content-project,
    .list-content-news,
    .list-content-features,
    .list-content-contact {
        @include list-content;
        width: 36px;
        height: 22px;
    }
    
    .list-content-us {
        width: 62px;
        height: 22px;
    }
    
    .list-content-journal {
        width: 85px;
        height: 22px;
    }
    
    .list-content-project {
        width: 62px;
        height: 22px;
    }
    
    .list-content-news {
        width: 37px;
        height: 22px;
    }
    
    .list-content-features {
        width: 62px;
        height: 22px;
    }
    
    .list-content-contact {
        width: 62px;
        height: 22px;
    }
    
    .link-content {
        @include link-content;
        color: $color-header;
    }    
    
    .header {
        width: 1170px;
        height: 550px;
        margin-bottom: 66px;
    }

    .header-img-road {
        display: $block;
        width: 1170px;
        height: 550px;
    }
    
    .recent-posts {
        @include flex;
        flex-wrap: wrap;
        width: 1165px;
        height: 359px;
        background: $background;
        margin-bottom: 69px;
    }
    
    .title-recent-posts {
        width: 100%;
        height: 22px;
        font-weight: 700;
        font-size: 16px;
        line-height: 22px;
        text-transform: uppercase;
        color: $color-header;
        margin-bottom: 23px;
    }
    
    .post-one,
    .post-two,
    .post-three {
        display: flex;
        width: 555px;
        height: 140px;
        margin-bottom: 32px;
    }

    .post-four {
        display: flex;
        width: 555px;
        height: 140px;
    }

    .text-posts {
        display: $block;
        width: 404px;
        height: 40px;
        color: $color-txt;
        font-size: 14px;
        line-height: 26px;
    }
    
    .post-tea,
    .post-rain,
    .post-caffe,
    .post-roses {
        margin-bottom: 0;
        margin-right: 20px;
    }

    .title-post {
        width: 295px;
        height: 30px;
        color: $color-header;
        font-size: 16px;
        font-weight: 700;
        line-height: 30px;
    }
    
    .description {
        width: 233px;
        height: 20px;
        color: $color-text;
        font-size: 12px;
        line-height: 20px;
        margin-bottom: 13px;
    }
    
    .instragram {
        width: 100%;
        height: 427px;
        background: $background;
        margin-bottom: 0;
    }

    .wrapper-instragram {
        @include flex-but-content;
        padding-top: 47px;
        padding-bottom: 24px;
    }
    
    .title-instragram {
        color: $color-header;
        font-size: 16px;
        font-weight: 700;
        line-height: 22px;
        text-transform: uppercase;
        margin-bottom: 0;
    }

    .title-inst {
        display: $block;
        color: $color-header;
        font-size: 13px;
        font-weight: 700;
        line-height: 22px;
        text-transform: uppercase;
    }
    
    .img-instragram {
        display: flex;
        gap: 9px;
        width: 1170px;
        height: 285px;
    }

    .img-hall,
    .img-wires,
    .img-old-car {
        display: $block;
    }

    .footer {
        @include flex-footer;
        width: 1600px;
        height: 355px;
        background-color: rgb(0, 0, 0),
    }
    
    .footer-title {
        width: 224px;
        height: 22px;
        color: $color-footer-title;
        font-size: 16px;
        font-weight: 700;
        line-height: 22px;
        text-transform: uppercase;
    }

    .footer-text {
        display: none;
    }
    
    .desc-text-footer {
        display: $block;
        width: 684px;
        height: 44px;
        color: $color-footer;
        text-align: center;
        font-size: 16px;
        line-height: 28px;
    }
    
    .social-icons {
        @include flex;
        width: 192px;
        height: 34px;
    }
    
    .address {
        width: 613px;
        height: 26px;
        color: $color-footer;
        text-align: center;
        font-size: 16px;
        line-height: 26px;
    }
}